### Function

# AppStream utils_data_id_valid

since: 0.14.0

#### Declaration [src]

    gboolean
    as_utils_data_id_valid (
      const gchar* data_id
    )

#### Description [src]

Checks if a data ID is valid i.e. has the correct number of sections.

Available since: 0.14.0

#### Parameters

`data_id`

  Type: `const gchar*`

  A component data ID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the ID is valid.